View a markdown version of this page

ListSecurityRequirementPacks - AWS Security Agent

ListSecurityRequirementPacks

Lists all security requirement packs in the caller's account.

Request Syntax

POST /ListSecurityRequirementPacks HTTP/1.1 Content-type: application/json { "filter": { "managementType": "string", "status": "string" }, "maxResults": number, "nextToken": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

filter

The filter criteria for listing security requirement packs.

Type: ListSecurityRequirementPackFilter object

Required: No

maxResults

The maximum number of results to return in a single request.

Type: Integer

Required: No

nextToken

The pagination token from a previous request to retrieve the next page of results.

Type: String

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "securityRequirementPackSummaries": [ { "createdAt": "string", "description": "string", "managementType": "string", "name": "string", "packId": "string", "status": "string", "updatedAt": "string", "vendorName": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

The pagination token to use in a subsequent request to retrieve the next page of results.

Type: String

securityRequirementPackSummaries

The list of security requirement pack summaries.

Type: Array of SecurityRequirementPackSummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

message

Error description.

HTTP Status Code: 403

InternalServerException

An unexpected error occurred during the processing of your request.

message

Error description.

HTTP Status Code: 500

ThrottlingException

The request was denied due to request throttling.

message

Error description.

quotaCode

Quota code for throttling limit.

serviceCode

Service code for throttling limit.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of specific failures encountered during validation.

message

A summary of the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: